<?php

/* FIRESHOP: Advanced Content Market System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2012 by Mohamad Porhaji                                */
/* http://Firedesign.ir                                                   */
/*                                                                      */
/* This program is free software.  */
/************************************************************************/
/* $Id: theme.php,v 1.0.0.1 2012/02/18 By Mohamad Porhaji $ */

if (stristr(htmlentities($_SERVER["PHP_SELF"]), "theme.php")) {
    Header("Location: index.php");
    die();
}




function theme() {
@require_once("header.php");
if (defined('CAT_FILE'))
{
@require_once("content_cat.php");
}else{
if (defined('ORDER_FILE'))
{
@require_once("content_order.php");
}else{
if (defined('CAT_PAGE_FILE'))
{
@require_once("content_cat_page.php");
}else{
if (defined('PAGE_FILE'))
{
@require_once("content_page.php");
}else{
@require_once("content.php");
}
}
}
}
@require_once("footer.php");
themeheader();
themecontent();
themefooter();
}
?>